Name: fbgetty
Version: 0.1.698
Release: alt1

Summary: Framebuffer getty program
Group: System/Base
License: GPL

Source0: %name-%version.tar.bz2

Patch0: %name-0.1.69-login_prompt.patch

%description
FBgetty is similar to miggetty with framebuffer support.

Install the %name package if you'd like to use a graphical framebuffer
getty.

%package contrib
Summary: Some additional files used with %name
Group: System/Base
Requires: %name = %version-%release

%description contrib
Some additional files used with %name

%prep
%setup -q

%patch0 -p1

%build

%configure

%make_build

# Fix documentation
mv -f examples/README examples/README_examples


%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT%_sbindir/fbgetty $RPM_BUILD_ROOT/sbin
ln -s /sbin/fbgetty $RPM_BUILD_ROOT%_sbindir/fbgetty

%files
/sbin/fbgetty
%_sbindir/fbgetty
%_infodir/*.info*
%_mandir/man8/fbgetty.8*
%doc README NEWS THANKS TODO BUGS AUTHORS ChangeLog

%files contrib
%doc contrib/README contrib/rawtoissue.sh examples/issue.* examples/inittab.*
%doc examples/README_examples examples/test/issue.* examples/test/test.sh

%changelog
* Mon Oct 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.1.698-alt1
- 0.1.698
- Move fbgetty from /usr/sbin to /sbin

* Tue Mar 05 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.1.69-alt4
- Fixed packaging bug

* Fri Oct 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.1.69-alt3
- Fixed login prompt

* Tue Sep 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.1.69-alt2
- Fixed filelist bug. Thanks to Alexey Voinov.

* Mon Sep 17 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.1.69-alt1
- First build for Sisyphus
